# Confidentiality Agreement

**This Confidentiality Agreement** (the "Agreement") is entered into on this [Date] by and between:

**Warky Devs Pty Ltd**, a company incorporated and existing under the laws of South Africa, with its principal office located at 3 Louw Wepener Street SE1, Vanderbijlpark, South Africa (hereinafter referred to as "Warky Devs"),

and

**Vivarox**, a company incorporated and existing under the laws of South Africa, with its principal office located at 534 Sakabuka Street, Derdepoort, Pretoria, South Africa (hereinafter referred to as "Vivarox").

**WHEREAS**, Warky Devs and Vivarox (each a "Party" and collectively the "Parties") wish to engage in discussions and/or a business relationship relating to [Purpose of Relationship] (the "Purpose"), and in the course of such discussions and/or business relationship, it may be necessary for each Party to disclose to the other certain confidential and proprietary information;

**NOW, THEREFORE**, in consideration of the premises and the mutual covenants contained herein, the Parties hereby agree as follows:

## 1. Definition of Confidential Information

1.1 "Confidential Information" means any data, information, or material disclosed by either Party (the "Disclosing Party") to the other Party (the "Receiving Party") in connection with the Purpose, whether in oral, written, electronic, or any other form, that is marked as confidential, proprietary, or with a similar legend, or that a reasonable person would understand to be confidential under the circumstances of disclosure.

1.2 Confidential Information includes, but is not limited to, business plans, strategies, financial information, customer information, intellectual property, technical data, designs, formulas, processes, software, and know-how.

## 2. Obligations of Confidentiality

2.1 The Receiving Party shall:

- Use the Confidential Information solely for the Purpose.
- Keep the Confidential Information confidential and secure, using at least the same degree of care as it uses to protect its own confidential information, but in no event less than reasonable care.
- Not disclose or provide the Confidential Information to any third party without the prior written consent of the Disclosing Party.

## 3. Exclusions

3.1 The obligations of confidentiality under this Agreement shall not apply to any information that:

- Is or becomes publicly known through no wrongful act or breach of this Agreement by the Receiving Party.
- Is lawfully received from a third party without breach of any obligation of confidentiality.
- Is independently developed by the Receiving Party without use of or reference to the Confidential Information of the Disclosing Party.
- Is required to be disclosed by law or regulation, provided that the Receiving Party gives the Disclosing Party prompt notice of such requirement and cooperates with the Disclosing Party in seeking a protective order or other appropriate remedy.

## 4. Return or Destruction of Confidential Information

4.1 Upon the Disclosing Party's request, or upon termination of this Agreement, the Receiving Party shall promptly return or destroy all copies of the Confidential Information, in whatever form, and provide written certification of such return or destruction.

## 5. No License or Ownership Rights

5.1 All Confidential Information remains the property of the Disclosing Party. No license or any other rights under any patent, trademark, copyright, trade secret, or other intellectual property right are granted by this Agreement or by any disclosure of Confidential Information.

## 6. Term and Termination

6.1 This Agreement shall commence on the date first written above and continue until terminated by either Party upon thirty (30) days' written notice to the other Party.

6.2 The obligations of confidentiality set forth herein shall survive the termination of this Agreement for a period of [number of years, typically 2-5 years].

## 7. Exclusivity

7.1 During the term of this Agreement, the Parties agree not to engage in any discussions, negotiations, or transactions with any third party that would conflict with the Purpose, without the prior written consent of the other Party.

## 8. Governing Law

8.1 This Agreement shall be governed by and construed in accordance with the laws of South Africa, without regard to its conflict of laws principles.

## 9. Miscellaneous

9.1 This Agreement constitutes the entire agreement between the Parties with respect to the subject matter hereof and supersedes all prior or contemporaneous agreements, understandings, or representations, whether written or oral, relating to such subject matter.

9.2 Any amendments or modifications to this Agreement must be made in writing and signed by authorized representatives of both Parties.

9.3 If any provision of this Agreement is found to be invalid or unenforceable, the remaining provisions shall continue in full force and effect.

**IN WITNESS WHEREOF**, the Parties have executed this Agreement as of the date first above written.

---

**Warky Devs Pty Ltd**  
By: ___________________________  
Name: [Name]  
Title: [Title]  
Date: ___________________________

**Vivarox**  
By: ___________________________  
Name: [Name]  
Title: [Title]  
Date: ___________________________
