# Service Agreement

**This Service Agreement** (the "Agreement") is entered into on this [Date] by and between:

**Warky Devs Pty Ltd**, a company incorporated and existing under the laws of South Africa, with its principal office located at 3 Louw Wepener Street SE1, Vanderbijlpark, South Africa (hereinafter referred to as "Warky Devs"),

and

**Vivarox**, a company incorporated and existing under the laws of South Africa, with its principal office located at 534 Sakabuka Street, Derdepoort, Pretoria, South Africa (hereinafter referred to as "Vivarox").

**WHEREAS**, Warky Devs is in the business of providing hosting services and software development services;

**WHEREAS**, Vivarox wishes to engage Warky Devs to provide such services under the terms and conditions set forth in this Agreement;

**NOW, THEREFORE**, in consideration of the premises and the mutual covenants contained herein, the Parties agree as follows:

## 1. Scope of Services

1.1 **Hosting Services**: Warky Devs shall provide hosting services to Vivarox, which includes maintaining the servers, ensuring uptime, and providing technical support as needed.

1.2 **Software Development Services**: Warky Devs shall provide software development services to Vivarox. This includes design, development, testing, deployment, and maintenance of software applications as specified by Vivarox.

## 2. Fees and Payment

2.1 **Development Fees**: Vivarox agrees to pay Warky Devs for software development services at the rate of R800 per hour.

2.2 **Service Fees**: The hosting service fee will be determined based on the size and growth of Vivarox's operations. Fees will be outlined in separate Service Level Agreements (SLAs) tailored to the specific needs and scale of Vivarox.

2.3 **Payment Terms**: Invoices will be issued monthly, with detailed breakdowns of hours worked for software development and charges for hosting services. Payment is due within thirty (30) days from the date of the invoice.

2.4 **Late Payments**: Any payment not made within the stipulated time shall incur a late payment fee of 8% per month on the outstanding amount until paid in full.

## 3. Term and Termination

3.1 **Term**: This Agreement shall commence on the date first written above and continue for a period of one (1) year, unless terminated earlier in accordance with this Agreement.

3.2 **Termination for Convenience**: Either Party may terminate this Agreement for any reason by providing thirty (30) days' written notice to the other Party.

3.3 **Termination for Cause**: Either Party may terminate this Agreement immediately upon written notice if the other Party breaches any material term or condition of this Agreement and fails to cure such breach within fifteen (15) days of receipt of written notice specifying the breach.

## 4. Support Services

4.1 **Support Scope**: Warky Devs will provide best-effort support via a ticketing system or email. Support will be limited to addressing issues and questions related to the hosting and software development services provided under this Agreement.

4.2 **Support Limitations**: Warky Devs does not provide full-time support services. Response times and resolutions will be based on the nature and priority of the issue reported.

## 5. Confidentiality

5.1 Both Parties agree to maintain the confidentiality of all proprietary or confidential information received from the other Party in accordance with the terms outlined in the Confidentiality Agreement signed by both Parties on [Date of Confidentiality Agreement].

## 6. Intellectual Property

6.1 All intellectual property rights, including but not limited to software, documentation, and other materials created by Warky Devs in the performance of this Agreement, shall remain the property of Warky Devs.

6.2 Warky Devs grants Vivarox a non-exclusive, perpetual, royalty-free license to use, modify, and distribute the software and materials created under this Agreement for its internal business purposes.

6.3 Warky Devs agrees not to use any software or materials created specifically for Vivarox in a manner that would compete directly with Vivarox or for the benefit of Vivarox's competitors.

## 7. Warranties and Liability

7.1 **Warranties**: Warky Devs warrants that the services provided under this Agreement will be performed in a professional and workmanlike manner.

7.2 **Limitation of Liability**: In no event shall either Party be liable to the other for any indirect, incidental, special, or consequential damages arising out of or related to this Agreement, even if such damages were foreseeable.

## 8. Governing Law

8.1 This Agreement shall be governed by and construed in accordance with the laws of South Africa, without regard to its conflict of laws principles.

## 9. Miscellaneous

9.1 **Entire Agreement**: This Agreement constitutes the entire agreement between the Parties with respect to the subject matter hereof and supersedes all prior or contemporaneous agreements, understandings, or representations, whether written or oral, relating to such subject matter.

9.2 **Amendments**: Any amendments or modifications to this Agreement must be made in writing and signed by authorized representatives of both Parties.

9.3 **Severability**: If any provision of this Agreement is found to be invalid or unenforceable, the remaining provisions shall continue in full force and effect.

**IN WITNESS WHEREOF**, the Parties have executed this Agreement as of the date first above written.

---

**Warky Devs Pty Ltd**  
By: ___________________________  
Name: [Name]  
Title: [Title]  
Date: ___________________________

**Vivarox**  
By: ___________________________  
Name: [Name]  
Title: [Title]  
Date: ___________________________
